org.springframework.web.socket.server.standard

## Class SpringConfigurator

- java.lang.Object
- - javax.websocket.server.ServerEndpointConfig.Configurator
  - - org.springframework.web.socket.server.standard.SpringConfigurator

    public class SpringConfigurator
    extends ServerEndpointConfig.Configurator

A `ServerEndpointConfig.Configurator` for initializing `ServerEndpoint`-annotated classes through Spring.

     @ServerEndpoint(value = "/echo", configurator = SpringConfigurator.class)
     public class EchoEndpoint {
         // ...
     }

Since:
  4.0
Author:
  Rossen Stoyanchev
See Also:
  `ServerEndpointExporter`

### Constructor Summary

Constructors
Constructor and Description
`SpringConfigurator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getEndpointInstance(Class<T> endpointClass)`

### Methods inherited from class javax.websocket.server.ServerEndpointConfig.Configurator

`checkOrigin, getNegotiatedExtensions, getNegotiatedSubprotocol, modifyHandshake`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpringConfigurator

    public SpringConfigurator()

### Method Detail

#### getEndpointInstance

    public <T> T getEndpointInstance(Class<T> endpointClass)
                              throws InstantiationException

Overrides:
  `getEndpointInstance` in class `ServerEndpointConfig.Configurator`
Throws:
  `InstantiationException`